Project

General

Profile

Bug #8231

Undefined function while restoring config from older version

Added by Massimo Maggi over 1 year ago. Updated over 1 year ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Backup/restore
Target version:
Start date:
12/21/2017
Due date:
% Done:

100%

Estimated time:
Affected Version:
2.4.2
Affected Architecture:
All

Description

While restoring a 2.1.x config to a fresh 2.4.2 install, it fails with:
PHP Fatal error: Call to undefined function restore_rrd()

Offending line of code is:
https://github.com/pfsense/pfsense/blob/RELENG_2_4_2/src/etc/inc/upgrade_config.inc#L4653

Looks like commit 257d2fd6750185a52b703cffd9419737f83777ee removed restore_rrd function, but didn't remove all the callers in upgrade_config.inc .

Workaround:
removed line "<use_mfs_tmpvar/>" from the config allowed me to import the old config.
Then re-enable "Use memory file system for /tmp and /var" under System > Advanced > Miscellaneous.

History

#2 Updated by Alistair Francis over 1 year ago

I can't close this, but it has been fixed with this commit: https://github.com/pfsense/pfsense/commit/61b6c22a5082eb66b85a44739f3acc076a725e96

#3 Updated by Steve Beaver over 1 year ago

  • Status changed from New to Closed

#4 Updated by Jim Pingle over 1 year ago

  • Category set to Backup/restore
  • Target version set to 2.4.3
  • % Done changed from 0 to 100
  • Affected Version set to 2.4.2
  • Affected Architecture set to All

#5 Updated by Jim Pingle over 1 year ago

  • Status changed from Closed to Resolved

Also available in: Atom PDF